%define upstream_name    AnyEvent-Task
%define upstream_version 0.802

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Client/server-based asynchronous worker pool
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Callback::Frame)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Guard)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Log::Defer) >= 0.300.0
BuildRequires: perl(common::sense)
BuildArch:  noarch

%description
*WARNING:* This module's API may change without warning. Also, the docs are
somewhat incomplete and out of date. I will be fixing this soonish.

The synopsis makes this module sounds much more complicated than it
actually is. the AnyEvent::Task manpage is a fork-on-demand but
persistent-worker server (the AnyEvent::Task::Server manpage) combined with
an asynchronous interface to a request queue and pooled-worker client (the
AnyEvent::Task::Client manpage). Both client and server are of course built
with the AnyEvent manpage because it's awesome. However, workers can't use
AnyEvent (yet).

A server is started with 'AnyEvent::Task::Server->new'. This should at
least be passed the 'listen' and 'interface' arguments. Keep the returned
server object around for as long as you want the server to be running.
'interface' is the code that should handle each request. See the interface
section below for its specification. A 'setup' coderef can be passed in to
run some code when a new worker is forked. A 'checkout_done' coderef can be
passed in to run some code whenever a checkout is released (see below).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Nov 15 2015 tv <tv> 0.802.0-1.mga6
+ Revision: 903328
- new release

* Sun Oct 19 2014 umeabot <umeabot> 0.801.0-4.mga6
+ Revision: 789653
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.801.0-3.mga5
+ Revision: 746192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.801.0-2.mga5
+ Revision: 683479
- Mageia 5 Mass Rebuild

* Thu Apr 17 2014 jquelin <jquelin> 0.801.0-1.mga5
+ Revision: 615380
- update to 0.801

* Mon Feb 17 2014 jquelin <jquelin> 0.800.0-1.mga5
+ Revision: 593412
- update to 0.800

* Sat Oct 19 2013 umeabot <umeabot> 0.750.0-2.mga4
+ Revision: 526313
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.750.0-1.mga4
+ Revision: 436606
- update to 0.750

* Sun Jan 13 2013 umeabot <umeabot> 0.602.0-2.mga3
+ Revision: 362933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.602.0-1.mga3
+ Revision: 341907
- update to 0.602

* Tue Nov 06 2012 jquelin <jquelin> 0.601.0-1.mga3
+ Revision: 314843
- update to 0.601

* Wed Oct 10 2012 jquelin <jquelin> 0.600.0-1.mga3
+ Revision: 304362
- imported package perl-AnyEvent-Task

